<?php namespace RVR\PersistentData\Model;

use DateTime;
use SokoWeb\PersistentData\Model\Model;

class Community extends Model
{
    protected static string $table = 'communities';

    protected static array $fields = ['name', 'currency', 'created'];

    private string $name = '';

    private string $currency = '';

    private DateTime $created;

    public function setName(string $name): void
    {
        $this->name = $name;
    }

    public function setCurrency(string $currency): void
    {
        $this->currency = $currency;
    }

    public function setCreatedDate(DateTime $created): void
    {
        $this->created = $created;
    }

    public function setCreated(string $created): void
    {
        $this->created = new DateTime($created);
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getCurrency(): string
    {
        return $this->currency;
    }

    public function getCreatedDate(): DateTime
    {
        return $this->created;
    }

    public function getCreated(): string
    {
        return $this->created->format('Y-m-d H:i:s');
    }
}
